---
search:
  tags:
    - Project modules
    - GET
seo:
  description: >-
    Early access: request API access for your workspace at… Reference for the
    GET /v1/projects/{projectId}/modules/{moduleKey} endpoint in the Bauhow API.
sidebar:
  label: Get a project module
  badge: GET
title: Get a project module
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

`GET /v1/projects/{projectId}/modules/{moduleKey}`

**Responses**

- `200` — OK

Response example, 200:

```json
{
  "id": "string",
  "projectId": "string",
  "moduleKey": "project-information",
  "status": "not_started",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  },
  "validationState": {
    "property1": null,
    "property2": null
  },
  "lockedReason": "string",
  "lastCompletedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
